Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users

From: Anders Bruun Olsen <[email-masked]>
Date: Thu, 28 Nov 2013 13:06:13 +0100

Hi Mike,

Reverting that commit fixes the problem.

2013/11/27 Mike Gabriel <[email-masked]>

> Hi Anders,
>
>
> On  Mi 27 Nov 2013 11:13:24 CET, Anders Bruun Olsen wrote:
>
>  2013/11/27 Mike Gabriel <[email-masked]>
>>
>>  After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed
>>> up
>>>
>>>> in x2goclient on Mac.
>>>> Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must
>>>> have
>>>> been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
>>>> detection?
>>>> My setup:
>>>> Server is Ubuntu 12.04 with XFCE 4.10.
>>>> Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1
>>>> and
>>>> latest git.
>>>>
>>>
>>> can you be available on IRC tomorrow for tracking this down? There
>>> actually is a commit that probably has caused this, so you should already
>>> manually revert that commit [1] on your servers.
>>>
>>>
>> Unfortunately my schedule for wednesday is mostly full. I can be on IRC
>> thursday.
>> If you have any questions or something you want me to test, feel free to
>> email me. I will try to answer or test as time allows throughout the day.
>>
>
>
> please revert commit [1] in your running server and check if the keyboard
> issues are gone again then. If that is the crucial code snippet, then I
> will comment out that part for now and make a new bugfix release.
>
> [1] http://code.x2go.org/gitweb?p=x2goserver.git;a=blobdiff;f=
> x2goserver/bin/x2gostartagent;h=932c051229a08606d3a56e2b13cd90
> 83b418b404;hp=e13736899511fea722e8a69e60015f3b8b067948;hb=
> bb53cc7514668c05673040ad1ac1dd36683bf8c7;hpb=
> ce2dadab56420e9d5563e19564b04699cd7e9615
>
>
> Greets,
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
>

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)